Bug 510741 - Compose key macrons not working correctly
Compose key macrons not working correctly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 10:49 EDT by Richard Monk
Modified: 2018-04-11 05:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.18.4-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 13:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Monk 2009-07-10 10:49:00 EDT
Description of problem:
When using the Compose key in F11, I cannot make A and O macrons.  It works fine from F10

Version-Release number of selected component (if applicable): 
xorg-x11-drv-keyboard-1.3.2-3.fc11.i586

How reproducible:
Enable the compose key, then generate the lower or upper case macrons:
<compose> - a, <compose> - i, etc..
  
Actual results:
-a -e -i -o -u : ãēīõū

Expected results:
-a -e -i -o -u : āēīōū

Additional info:
I'm not sure where this bug is appearing, in GNOME or X itself.
Comment 1 Rich Megginson 2009-07-10 11:17:57 EDT
Is this a problem only in the originally selected components, which was the 389 Directory Server Admin Console, or is this a problem with all apps?  If the former, please reassign this bug to Product 389.
Comment 2 Richard Monk 2009-07-10 11:38:01 EDT
This is an issue with the X keyboard driver.  If I made a mistake with the component assignment, I apologize.  The drop-down autosearch was acting very slow and I double-checked, but something might have gone sideways.
Comment 3 Matěj Cepl 2009-11-05 13:34:29 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Richard Monk 2009-11-05 15:35:32 EST
Using: xorg-x11-drv-keyboard-1.3.99.1-1.fc12.i686

- vowel: ã ē ī õ ū
` vowel: à è ì ò ù
~ vowel: ã ẽ ĩ õ ũ

It looks like it's still not quite right, a and o are still showing the wrong character instead of the macron.
Comment 5 Peter Hutterer 2009-11-08 19:38:02 EST
Just fyi, compose key combinations are handled in libX11, not in xkeyboard-config, the right component for bugs like this is libX11.

I checked the compose sequences and there are none defined for Compose - <vowel>. There are however the keys defined for the specified ones with underscore instead of dash. Compose _ <vowel> gives me the right symbols for all five vowels. (simple check - run xev, make sure it's focused, type the sequences and look at the XmbLookupString output)

In the gnome-terminal, the sequence Compose - <vowel> indeed shows the issues reported here. This suggests this is a gtk bug since gtk keeps separate and sometimes conflicting compose sequences. Reassigning to gtk.
Comment 6 Fedora Update System 2009-12-03 00:03:23 EST
gtk2-2.18.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12558
Comment 7 Fedora Update System 2009-12-11 13:31:57 EST
gtk2-2.18.4-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.